# Uses of Class
org.apache.sysds.runtime.iogen.FormatIdentifyer

Packages that use FormatIdentifyer
Package
Description
org.apache.sysds.runtime.iogen.codegen
org.apache.sysds.runtime.iogen.template

## Uses of FormatIdentifyer in org.apache.sysds.runtime.iogen.codegen

Methods in org.apache.sysds.runtime.iogen.codegen with parameters of type FormatIdentifyer
Modifier and Type
Method
Description
`String`
FrameCodeGen.`generateCodeJava(FormatIdentifyer formatIdentifyer)`
`String`
MatrixCodeGen.`generateCodeJava(FormatIdentifyer formatIdentifyer)`
Constructors in org.apache.sysds.runtime.iogen.codegen with parameters of type FormatIdentifyer
Modifier
Constructor
Description
``
`CodeGenTrie(CustomProperties properties, String destination, boolean isMatrix, FormatIdentifyer formatIdentifyer)`

## Uses of FormatIdentifyer in org.apache.sysds.runtime.iogen.template

Methods in org.apache.sysds.runtime.iogen.template with parameters of type FormatIdentifyer
Modifier and Type
Method
Description
`abstract String`
TemplateCodeGenBase.`generateCodeJava(FormatIdentifyer formatIdentifyer)`